Name:           swell-foop
Version:        3.10.1
Release:        1%{?dist}
Summary:        GNOME colored tiles puzzle game

License:        GPLv2+ and GFDL
URL:            http://projects.gnome.org/gnome-games/
Source0:        http://download.gnome.org/sources/swell-foop/3.10/swell-foop-%{version}.tar.xz

BuildRequires:  clutter-gtk-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  yelp-tools

Obsoletes: gnome-games-swell-foop < 1:3.7.92-1
Obsoletes: gnome-games < 1:3.7.92-1
Obsoletes: gnome-games-help < 1:3.7.92-1

%description
Clear the screen by removing groups of colored and shaped tiles

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-gnome


%post
touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/HighContrast &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/HighContrast &> /dev/null || :
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{_bindir}/swell-foop
%{_datadir}/appdata/swell-foop.appdata.xml
%{_datadir}/applications/swell-foop.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.swell-foop.gschema.xml
%{_datadir}/icons/HighContrast/*/apps/swell-foop.*
%{_datadir}/icons/hicolor/*/apps/swell-foop.*
%{_datadir}/swell-foop


%changelog
* Sat Oct 12 2013 Yanko Kaneti <yaneti@declera.com> - 3.10.1-1
- Update to 3.10.1

* Mon Sep 23 2013 Yanko Kaneti <yaneti@declera.com> - 3.10.0-1
- Update to 3.10.0

* Tue Sep 17 2013 Yanko Kaneti <yaneti@declera.com> - 3.9.92-1
- Update to 3.9.92
- Add appdata
- Add HighContrast icons

* Tue Aug 20 2013 Yanko Kaneti <yaneti@declera.com> - 3.8.2-1
- Update to 3.8.2
- Drop patch merged upstream and do not autoreconf for it

* Fri Aug 09 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-6
- Rebuilt for cogl 1.15.4 soname bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-4
- Obsolete gnome-games-help as well

* Thu Jun 20 2013 Matthias Clasen <mclasen@redhat.com> - 3.8.1-3
- Obsolete gnome-games (for upgrades from f17)

* Fri Jun 14 2013 Matthias Clasen <mclasen@redhat.com> - 3.8.1-2
- Fix preferences

* Mon Apr 15 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-1
- Update to 3.8.1

* Wed Mar 27 2013 Yanko Kaneti <yaneti@declera.com> - 3.8.0-1
- Update to 3.8.0

* Tue Mar 19 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.92-1
- Update to 3.7.92

* Tue Feb 19 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.90-1
- New upstream release 3.7.90
- Fix desktop file

* Fri Feb 15 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.4-1
- Initial packaging of standalone swell-foop
